﻿<Graph ClassName="SFSetupMaint" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;

namespace SF
{
	public class SFSetupMaint : PXGraph<SFSetupMaint>
	{
        public PXSelect<SForecastSetup> Setup;
        public PXSelect<SFSetupApproval> ApprovalSetup;

		public PXSave<SForecastSetup> Save;
		public PXCancel<SForecastSetup> Cancel;


        //public PXFilter<MasterTable> MasterView;
        //public PXFilter<DetailsTable> DetailsView;

        //[Serializable]
        //public class MasterTable : IBqlTable
        //{

        //}

        //[Serializable]
        //public class DetailsTable : IBqlTable
        //{

        //}

        protected virtual void SForecastSetup_SFRequestApproval_FieldVerifying(PXCache sender, PXFieldVerifyingEventArgs e)
        {
            PXCache cache = this.Caches[typeof(SFSetupApproval)];
            foreach (SFSetupApproval setup in PXSelect<SFSetupApproval>.Select(this))
            {
                setup.IsActive = (bool?)e.NewValue;
                cache.Update(setup);
            }
        }


    }
}]]></CDATA>
</Graph>